java current Maven Installation OSX Error Não suportado major.minor versão 51.0



maven cli download (5)

O problema é que você não definiu o JAVA_HOME no Mac corretamente. Para fazer isso, você deve configurá-lo assim:

export JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.8.0_40.jdk/Contents/Home

No meu caso, minha instalação do JDK é jdk1.8.0_40, certifique-se de digitar o seu.

Então você pode usar os comandos do maven.

Saudações!

Eu instalei o maven seguindo estes passos: (um tutorial)

JAVA_HOME=/Library/Java/Home
export M2_HOME=/Users/steven/zimmermann/maven
export M2=$M2_HOME/bin
export PATH=$M2:$PATH

echo $JAVA_HOME
echo $M2_HOME
echo $M2
echo $PATH

nano .bash_profile

então eu escrevi o eco no .bash_profile sth assim:

JAVA_HOME=/usr/libexec/java_home
M2_HOME=/path/to/your/apache-maven-3.x.x
M2=/path/to/your/apache-maven-3.x.x/bin
PATH=/path/to/maven/bin:/$….bla-bla-bla

e também escrevi isso no .bashrc

export M2_HOME=/Users/steven/zimmermann/maven
export M2=$M2_HOME/bin
export PATH=$M2:$PATH

Agora, quando eu quero verificar a versão ( mvn -v ) eu recebo a seguinte exceção: Eu acho que existem algumas versões erradas, mas eu não sei.

Exception in thread "main" java.lang.UnsupportedClassVersionError: org/apache/maven/cli/MavenCli : Unsupported major.minor version 51.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at org.codehaus.plexus.classworlds.realm.ClassRealm.loadClassFromSelf(ClassRealm.java:401)
    at org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy.loadClass(SelfFirstStrategy.java:42)
    at org.codehaus.plexus.classworlds.realm.ClassRealm.unsynchronizedLoadClass(ClassRealm.java:271)
    at org.codehaus.plexus.classworlds.realm.ClassRealm.loadClass(ClassRealm.java:254)
    at org.codehaus.plexus.classworlds.realm.ClassRealm.loadClass(ClassRealm.java:239)
    at org.codehaus.plexus.classworlds.launcher.Launcher.getMainClass(Launcher.java:144)
    at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:266)
    at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)
    at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)
    at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)

Informação adicional:

java -version
java version "1.8.0_40"
Java(TM) SE Runtime Environment (build 1.8.0_40-b27)
Java HotSpot(TM) 64-Bit Server VM (build 25.40-b25, mixed mode)
javac -version
javac 1.8.0_40

Answer #1

Eu resolvi colocando uma versão antiga do maven (2.x), usando brew:

brew uninstall maven
brew tap homebrew/versions 
brew install maven2

Answer #2

No Eclipse, você não precisa alterar o JAVA_HOME, você só precisa alterar a configuração de execução do Maven para algo acima de 1.6 (mesmo se o seu projeto estiver no Java 6, o Maven não deveria estar). Clique com o botão direito do mouse no projeto, escolha Maven Build ou Run As> Run Configurations e defina a versão correta do JDK.


Answer #3

Faça isso no seu .profile -

exportar JAVA_HOME = `/ usr / libexec / java_home`

(backticks certifique-se de executar o comando e colocar seu valor em JAVA_HOME)


Answer #4

Uma solução dinâmica $HOME/.zshrc , se você é como eu, por exemplo. Linux @ work; MBP / A @ home

if [[ $(uname) == "Darwin" ]]; then export OSX=1; fi
if [[ $(uname) ==  "Linux" ]]; then export LINUX=1; fi

if [[ -n $OSX ]]; then
        export JAVA_HOME=$(/usr/libexec/java_home)
else
        export JAVA_HOME=/usr/lib/jvm/default-java
fi




unsupported-class-version